IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The attribute option object

Attributes

iduuid

Unique identifier

attribute_iduuid
attributes.id

Identifier of the attribute this option is defined in

created_attimestamp with time zone

Creation timestamp

nameMultiLanguageString

Localized name

orderinteger

Order of the option in the list of options as displayed on widgets and websites

The attribute option object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "attribute_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T06:54:55.878Z",
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "order": 1
}

List attribute options

Filters

idFilter<uuid>

Unique identifier

attribute_idFilter<uuid>
attributes.id

Identifier of the attribute this option is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>

Order of the option in the list of options as displayed on widgets and websites

Responses

200

A list of attribute options with the selected columns

206

Partial Content

GET /attribute_options
curl -X GET "https://api.bookingmood.com/v1/attribute_options?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create attribute options

Body

Partial<AttributeOption> | Array<Partial<AttributeOption>>

Responses

201

The newly created attribute options with the selected columns

POST /attribute_options
curl -X POST "https://api.bookingmood.com/v1/attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete attribute options

Filters

idFilter<uuid>

Unique identifier

attribute_idFilter<uuid>
attributes.id

Identifier of the attribute this option is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>

Order of the option in the list of options as displayed on widgets and websites

Responses

204

The deleted attribute options with the selected columns

DELETE /attribute_options
curl -X DELETE "https://api.bookingmood.com/v1/attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update attribute options

Filters

idFilter<uuid>

Unique identifier

attribute_idFilter<uuid>
attributes.id

Identifier of the attribute this option is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>

Order of the option in the list of options as displayed on widgets and websites

Body

Partial<AttributeOption>

Responses

204

The updated attribute options with the selected columns

PATCH /attribute_options
curl -X PATCH "https://api.bookingmood.com/v1/attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'